### Class

# GtkBuilderCScope

#### Description [src]

    class Gtk.BuilderCScope : GObject.Object
      implements Gtk.BuilderScope {
      /* No available fields */
    }

A `GtkBuilderScope` implementation for the C language.

`GtkBuilderCScope` instances use symbols explicitly added to `builder` with prior calls to `gtk_builder_cscope_add_callback_symbol()`. If developers want to do that, they are encouraged to create their own scopes for that purpose.

In the case that symbols are not explicitly added; GTK will uses `GModule`’s introspective features (by opening the module `NULL`) to look at the application’s symbol table. From here it tries to match the signal function names given in the interface description with symbols in the application.

Note that unless `gtk_builder_cscope_add_callback_symbol()` is called for all signal callbacks which are referenced by the loaded XML, this functionality will require that `GModule` be supported on the platform.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GtkBuilderScope

#### Constructors

###### gtk_builder_cscope_new

Creates a new `GtkBuilderCScope` object to use with future `GtkBuilder` instances.

#### Instance methods

###### gtk_builder_cscope_add_callback_symbol

Adds the `callback_symbol` to the scope of `builder` under the given `callback_name`.

###### gtk_builder_cscope_add_callback_symbols

A convenience function to add many callbacks.

###### gtk_builder_cscope_lookup_callback_symbol

Fetches a symbol previously added with gtk_builder_cscope_add_callback_symbol().

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkBuilderCScopeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.